<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>ov-commons</artifactId>
        <groupId>com.scytl.products.ov.channel.commons</groupId>
        <version>2.1.7</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>ov-commons-sign</artifactId>
    <packaging>jar</packaging>

    <name>Online Voting - Commons - Sign</name>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <jwt.version>0.9.0</jwt.version>
    </properties>

    <dependencies>
        <dependency>
		    <groupId>com.fasterxml.jackson.core</groupId>
		    <artifactId>jackson-databind</artifactId>
		</dependency>
        <dependency>
            <artifactId>cryptolib-asymmetric</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${cryptolib.version}</version>
        </dependency>
        <dependency>
            <artifactId>cryptolib-certificates</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
            <version>${cryptolib.version}</version>
        </dependency>
        <dependency>
        	<groupId>com.scytl.products.ov.channel.commons</groupId>
		    <artifactId>libs-config</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-beans</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-codec</groupId>
            <artifactId>commons-codec</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-dto</artifactId>
            <version>${project.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <!--
              This dependency is declared as required by the CryptoLib but
              declared as 'provided', which is true in production, but it needs
              to be manually added for testing.
            -->
            <groupId>com.scytl.math</groupId>
            <artifactId>scytl-math</artifactId>
            <version>${scytl-math.version}</version>
            <scope>test</scope>
        </dependency>
    </dependencies>
    
    <build>
        <plugins>
            <plugin>
                <!-- Test classes in separate JAR for reuse in other modules -->
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.6</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
    
    <profiles>
        <profile>
            <id>skipTestRun</id>
            <activation>
                <property>
                    <name>skipTests</name>
                    <value>!true</value>
                </property>
            </activation>
            <dependencies>
                <dependency>
                    <groupId>com.scytl.products.ov.channel.commons</groupId>
                    <artifactId>ov-commons-dto</artifactId>
                    <version>${project.version}</version>
                    <type>test-jar</type>
                    <scope>test</scope>
                </dependency>
                <dependency>
                    <groupId>com.scytl.cryptolib</groupId>
                    <artifactId>cryptolib-certificates</artifactId>
                    <version>${cryptolib.version}</version>
                    <type>test-jar</type>
                    <scope>test</scope>
                </dependency>
                <dependency>
                    <groupId>com.scytl.cryptolib</groupId>
                    <artifactId>cryptolib-asymmetric</artifactId>
                    <version>${cryptolib.version}</version>
                    <type>test-jar</type>
                    <scope>test</scope>
                </dependency>
            </dependencies>
        </profile>
    </profiles>
</project>
